# BEGIN SourceDeps(oneline):
BuildRequires: perl(Error.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name Chimaera-Matcher
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: An object to look for Chimaeric (Bovine) MHC sequences
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AL/ALAW/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
An object to check for possible chimaeric sequences in MHC sequencing studies.

Example usage....

    use Chimaera::Matcher;

    my $foo = Chimaera::Matcher->new( 'haplotype1' => $haplotype1, 'haplotype2' => $haplotype2);
    
    if ($foo->possible_chimaera($test_seq)) {
    _printf("Could be a chimaera\n");
    }
    else {
    _printf("Not a chimaera\n");
    }
    ...
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

